<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="com.crt.advproject.config.lib.debug.391025640">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.crt.advproject.config.lib.debug.391025640" moduleId="org.eclipse.cdt.core.settings" name="Debug">
				<externalSettings>
					<externalSetting>
						<entry flags="VALUE_WORKSPACE_PATH" kind="includePath" name="/Platform_FreeRTOSLib"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="includePath" name="/FreeRTOSLib"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="libraryPath" name="/Platform_FreeRTOSLib/Debug"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="libraryPath" name="/FreeRTOSLib/Debug"/>
						<entry flags="RESOLVED" kind="libraryFile" name="Platform_FreeRTOSLib" srcPrefixMapping="" srcRootPath=""/>
						<entry flags="RESOLVED" kind="libraryFile" name="FreeRTOSLib" srcPrefixMapping="" srcRootPath=""/>
					</externalSetting>
				</externalSettings>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="a" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.staticLib" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.staticLib" cleanCommand="rm -rf" description="Debug build" errorParsers="org.eclipse.cdt.core.CWDLocator;org.eclipse.cdt.core.GmakeErrorParser;org.eclipse.cdt.core.GCCErrorParser;org.eclipse.cdt.core.GLDErrorParser;org.eclipse.cdt.core.GASErrorParser" id="com.crt.advproject.config.lib.debug.391025640" name="Debug" parent="com.crt.advproject.config.lib.debug" postannouncebuildStep="Performing post-build steps" postbuildStep="arm-none-eabi-size &quot;lib${BuildArtifactFileName}&quot; ; # arm-none-eabi-objdump -h -S &quot;lib${BuildArtifactFileName}&quot; &gt;&quot;${BuildArtifactFileBaseName}.lss&quot;">
					<folderInfo id="com.crt.advproject.config.lib.debug.391025640." name="/" resourcePath="">
						<toolChain id="com.crt.advproject.toolchain.lib.debug.123177113" name="NXP MCU Tools" superClass="com.crt.advproject.toolchain.lib.debug">
							<targetPlatform binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.GNU_ELF" id="com.crt.advproject.platform.lib.debug.142521898" name="ARM-based MCU (Debug)" superClass="com.crt.advproject.platform.lib.debug"/>
							<builder buildPath="${workspace_loc:/Platform_FreeRTOSLib}/Debug" id="com.crt.advproject.builder.lib.debug.1044477980" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" parallelBuildOn="true" parallelizationNumber="optimal" superClass="com.crt.advproject.builder.lib.debug"/>
							<tool id="com.crt.advproject.cpp.lib.debug.980644093" name="MCU C++ Compiler" superClass="com.crt.advproject.cpp.lib.debug">
								<option id="com.crt.advproject.cpp.arch.1364520060" name="Architecture" superClass="com.crt.advproject.cpp.arch" useByScannerDiscovery="true" value="com.crt.advproject.cpp.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.misc.dialect.1334260944" name="Language standard" superClass="com.crt.advproject.cpp.misc.dialect" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.dialect.flags.1773886453" name="Other dialect flags" superClass="gnu.cpp.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.preprocessor.nostdinc.1976941889" name="Do not search system directories (-nostdinc)" superClass="gnu.cpp.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.preprocess.1809300364" name="Preprocess only (-E)" superClass="gnu.cpp.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.def.669978411" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.undef.852650143" name="Undefined symbols (-U)" superClass="gnu.cpp.compiler.option.preprocessor.undef" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.paths.1155856093" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.files.868696345" name="Include files (-include)" superClass="gnu.cpp.compiler.option.include.files" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.optimization.flags.345542080" name="Other optimization flags" superClass="gnu.cpp.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common" valueType="string"/>
								<option id="gnu.cpp.compiler.option.debugging.other.437799263" name="Other debugging flags" superClass="gnu.cpp.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.prof.2013160310" name="Generate prof information (-p)" superClass="gnu.cpp.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.gprof.1976166927" name="Generate gprof information (-pg)" superClass="gnu.cpp.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.codecov.164449743" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.syntax.867691204" name="Check syntax only (-fsyntax-only)" superClass="gnu.cpp.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.1047128038" name="Pedantic (-pedantic)" superClass="gnu.cpp.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.error.1103429997" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.cpp.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.nowarn.1034681980" name="Inhibit all warnings (-w)" superClass="gnu.cpp.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.allwarn.894107428" name="All warnings (-Wall)" superClass="gnu.cpp.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.extrawarn.157081214" name="Extra warnings (-Wextra)" superClass="gnu.cpp.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.toerrors.80632856" name="Warnings as errors (-Werror)" superClass="gnu.cpp.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.wconversion.122026989" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.cpp.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.other.2123975758" name="Other flags" superClass="gnu.cpp.compiler.option.other.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.verbose.2087229193" name="Verbose (-v)" superClass="gnu.cpp.compiler.option.other.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.pic.1475858750" name="Position Independent Code (-fPIC)" superClass="gnu.cpp.compiler.option.other.pic" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.162801916" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.cpp.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.fat.93527141" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.cpp.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.merge.constants.1956628287" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.cpp.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.prefixmap.1480308570" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.cpp.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.fpu.1046493830" name="Floating point" superClass="com.crt.advproject.cpp.fpu" useByScannerDiscovery="true" value="com.crt.advproject.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.thumb.1913867430" name="Thumb mode" superClass="com.crt.advproject.cpp.thumb" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.thumbinterwork.792992210" name="Enable Thumb interworking" superClass="com.crt.advproject.cpp.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.securestate.693169364" name="TrustZone Project Type" superClass="com.crt.advproject.cpp.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.hdrlib.325193131" name="Library headers" superClass="com.crt.advproject.cpp.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.stackusage.1084369526" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.cpp.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.specs.979361329" name="Specs" superClass="com.crt.advproject.cpp.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.config.985285446" name="Obsolete (Config)" superClass="com.crt.advproject.cpp.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.store.1616393871" name="Obsolete (Store)" superClass="com.crt.advproject.cpp.store" useByScannerDiscovery="false"/>
							</tool>
							<tool id="com.crt.advproject.gcc.lib.debug.1507860900" name="MCU C Compiler" superClass="com.crt.advproject.gcc.lib.debug">
								<option id="com.crt.advproject.gcc.thumb.556267136" name="Thumb mode" superClass="com.crt.advproject.gcc.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.arch.1873902791" name="Architecture" superClass="com.crt.advproject.gcc.arch" useByScannerDiscovery="true" value="com.crt.advproject.gcc.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.c.misc.dialect.2084440511" name="Language standard" superClass="com.crt.advproject.c.misc.dialect" useByScannerDiscovery="true" value="com.crt.advproject.misc.dialect.gnu99" valueType="enumerated"/>
								<option id="gnu.c.compiler.option.dialect.flags.1106143287" name="Other dialect flags" superClass="gnu.c.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.c.compiler.option.preprocessor.nostdinc.712277785" name="Do not search system directories (-nostdinc)" superClass="gnu.c.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.preprocessor.preprocess.1926881931" name="Preprocess only (-E)" superClass="gnu.c.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.preprocessor.def.symbols.327564850" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062CVL5A"/>
									<listOptionValue builtIn="false" value="REVISION_A_BOARD"/>
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062CVL5A_cm7"/>
									<listOptionValue builtIn="false" value="USE_RTOS=1"/>
									<listOptionValue builtIn="false" value="WITH_LWIP"/>
									<listOptionValue builtIn="false" value="_POSIX_SOURCE"/>
									<listOptionValue builtIn="false" value="SDK_DEBUGCONSOLE=0"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSFER_NON_BLOCKING"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSMIT_BUFFER_LEN=1024"/>
									<listOptionValue builtIn="false" value="XIP_EXTERNAL_FLASH=1"/>
									<listOptionValue builtIn="false" value="XIP_BOOT_HEADER_ENABLE=1"/>
									<listOptionValue builtIn="false" value="SERIAL_PORT_TYPE_UART=1"/>
									<listOptionValue builtIn="false" value="FSL_RTOS_FREE_RTOS"/>
									<listOptionValue builtIn="false" value="CR_INTEGER_PRINTF"/>
									<listOptionValue builtIn="false" value="CR_PRINTF_CHAR"/>
									<listOptionValue builtIn="false" value="PRINTF_FLOAT_ENABLE=1"/>
									<listOptionValue builtIn="false" value="__MCUXPRESSO"/>
									<listOptionValue builtIn="false" value="__USE_CMSIS"/>
									<listOptionValue builtIn="false" value="ENET_ENHANCEDBUFFERDESCRIPTOR_MODE"/>
									<listOptionValue builtIn="false" value="NXPIMXRT1050"/>
									<listOptionValue builtIn="false" value="PTP_ENABLED=1"/>
									<listOptionValue builtIn="false" value="ETH_802_3_PTP_SUPPORT"/>
									<listOptionValue builtIn="false" value="DEBUG"/>
									<listOptionValue builtIn="false" value="__NEWLIB__"/>
								</option>
								<option id="gnu.c.compiler.option.preprocessor.undef.symbol.241938088" name="Undefined symbols (-U)" superClass="gnu.c.compiler.option.preprocessor.undef.symbol" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.paths.439915653" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/CMSIS}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/board-fake}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include/compat/posix}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/port}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include/lwip/prot}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/libcoap/include/coap2}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/portable/MemMang}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/serial_manager}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/uart}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/lists}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/utilities}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/device}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/cJSON/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/otherdrivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/ptpd/src}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/ptpd/src/dep}&quot;"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.files.2143757320" name="Include files (-include)" superClass="gnu.c.compiler.option.include.files" useByScannerDiscovery="false" valueType="includeFiles">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include/typefix.h}&quot;"/>
								</option>
								<option id="gnu.c.compiler.option.optimization.flags.1874814425" name="Other optimization flags" superClass="gnu.c.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common -fdata-sections -ffunction-sections" valueType="string"/>
								<option id="gnu.c.compiler.option.debugging.other.771973321" name="Other debugging flags" superClass="gnu.c.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.prof.1502946998" name="Generate prof information (-p)" superClass="gnu.c.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.gprof.188698177" name="Generate gprof information (-pg)" superClass="gnu.c.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.codecov.1862290653" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.syntax.1264128023" name="Check syntax only (-fsyntax-only)" superClass="gnu.c.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.1704008109" name="Pedantic (-pedantic)" superClass="gnu.c.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.error.1757553624" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.c.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.nowarn.918263429" name="Inhibit all warnings (-w)" superClass="gnu.c.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.allwarn.99543964" name="All warnings (-Wall)" superClass="gnu.c.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.extrawarn.1578110450" name="Extra warnings (-Wextra)" superClass="gnu.c.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.toerrors.447501512" name="Warnings as errors (-Werror)" superClass="gnu.c.compiler.option.warnings.toerrors" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="gnu.c.compiler.option.warnings.wconversion.1630135240" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.c.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.other.1479932601" name="Other flags" superClass="gnu.c.compiler.option.misc.other" useByScannerDiscovery="false" value="-c -ffunction-sections -fdata-sections -ffreestanding -fno-builtin" valueType="string"/>
								<option id="gnu.c.compiler.option.misc.verbose.1824822065" name="Verbose (-v)" superClass="gnu.c.compiler.option.misc.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.ansi.493725011" name="Support ANSI programs (-ansi)" superClass="gnu.c.compiler.option.misc.ansi" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.pic.991426773" name="Position Independent Code (-fPIC)" superClass="gnu.c.compiler.option.misc.pic" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.1065516850" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.gcc.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.lto.fat.2093519481" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.gcc.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.merge.constants.2086718494" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.gcc.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.prefixmap.746283808" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.gcc.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.fpu.1593050488" name="Floating point" superClass="com.crt.advproject.gcc.fpu" useByScannerDiscovery="true" value="com.crt.advproject.gcc.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.thumbinterwork.1808238909" name="Enable Thumb interworking" superClass="com.crt.advproject.gcc.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.securestate.1808454886" name="TrustZone Project Type" superClass="com.crt.advproject.gcc.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.hdrlib.681340959" name="Library headers" superClass="com.crt.advproject.gcc.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gcc.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.stackusage.1854785053" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.gcc.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.specs.1667347629" name="Specs" superClass="com.crt.advproject.gcc.specs" useByScannerDiscovery="false" value="com.crt.advproject.gcc.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.config.1103492844" name="Obsolete (Config)" superClass="com.crt.advproject.gcc.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.store.598793061" name="Obsolete (Store)" superClass="com.crt.advproject.gcc.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.lib.debug.option.optimization.level.1266657275" name="Optimization Level" superClass="com.crt.advproject.gcc.lib.debug.option.optimization.level" useByScannerDiscovery="true" value="gnu.c.optimization.level.none" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.lib.debug.option.debugging.level.821821439" name="Debug Level" superClass="com.crt.advproject.gcc.lib.debug.option.debugging.level" useByScannerDiscovery="false"/>
								<inputType id="com.crt.advproject.compiler.input.1833290087" superClass="com.crt.advproject.compiler.input"/>
							</tool>
							<tool id="com.crt.advproject.gas.lib.debug.299512121" name="MCU Assembler" superClass="com.crt.advproject.gas.lib.debug">
								<option id="com.crt.advproject.gas.thumb.1780124914" name="Thumb mode" superClass="com.crt.advproject.gas.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gas.arch.1207246266" name="Architecture" superClass="com.crt.advproject.gas.arch" useByScannerDiscovery="false" value="com.crt.advproject.gas.target.cm7" valueType="enumerated"/>
								<option id="gnu.both.asm.option.flags.crt.1812520649" name="Assembler flags" superClass="gnu.both.asm.option.flags.crt" useByScannerDiscovery="false" value="-c -x assembler-with-cpp -D__REDLIB__" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.both.asm.option.include.paths.2040991121" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" useByScannerDiscovery="false" valueType="includePath"/>
								<option id="gnu.both.asm.option.warnings.nowarn.2027230109" name="Suppress warnings (-W)" superClass="gnu.both.asm.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.both.asm.option.version.80027410" name="Announce version (-v)" superClass="gnu.both.asm.option.version" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.fpu.1728562227" name="Floating point" superClass="com.crt.advproject.gas.fpu" useByScannerDiscovery="false" value="com.crt.advproject.gas.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.thumbinterwork.1631709768" name="Enable Thumb interworking" superClass="com.crt.advproject.gas.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.hdrlib.708717645" name="Library headers" superClass="com.crt.advproject.gas.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.specs.544824457" name="Specs" superClass="com.crt.advproject.gas.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.config.833149937" name="Obsolete (Config)" superClass="com.crt.advproject.gas.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.store.1945477798" name="Obsolete (Store)" superClass="com.crt.advproject.gas.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.lib.debug.option.debugging.level.1346389567" name="Debug level" superClass="com.crt.advproject.gas.lib.debug.option.debugging.level" useByScannerDiscovery="false"/>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.834326464" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
								<inputType id="com.crt.advproject.assembler.input.878249687" name="Additional Assembly Source Files" superClass="com.crt.advproject.assembler.input"/>
							</tool>
							<tool id="com.crt.advproject.ar.lib.debug.1137950510" name="MCU Archiver" superClass="com.crt.advproject.ar.lib.debug">
								<option id="gnu.both.lib.option.flags.1299484316" name="Archiver flags" superClass="gnu.both.lib.option.flags" useByScannerDiscovery="false"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="CMSIS"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="amazon-freertos"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="board-fake"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="cJSON"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="component"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="device"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="drivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="include"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="libcoap"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="lwip"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="lwip-contrib"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="otherdrivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="ptpd"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="utilities"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="xip"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="com.crt.advproject.config.lib.release.1908658075">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.crt.advproject.config.lib.release.1908658075" moduleId="org.eclipse.cdt.core.settings" name="Release">
				<externalSettings>
					<externalSetting>
						<entry flags="VALUE_WORKSPACE_PATH" kind="includePath" name="/Platform_FreeRTOSLib"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="includePath" name="/FreeRTOSLib"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="libraryPath" name="/Platform_FreeRTOSLib/Release"/>
						<entry flags="VALUE_WORKSPACE_PATH" kind="libraryPath" name="/FreeRTOSLib/Release"/>
						<entry flags="RESOLVED" kind="libraryFile" name="Platform_FreeRTOSLib" srcPrefixMapping="" srcRootPath=""/>
						<entry flags="RESOLVED" kind="libraryFile" name="FreeRTOSLib" srcPrefixMapping="" srcRootPath=""/>
					</externalSetting>
				</externalSettings>
				<extensions>
					<extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GNU_ELF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="a" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.staticLib" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.staticLib" cleanCommand="rm -rf" description="Release build" errorParsers="org.eclipse.cdt.core.CWDLocator;org.eclipse.cdt.core.GmakeErrorParser;org.eclipse.cdt.core.GCCErrorParser;org.eclipse.cdt.core.GLDErrorParser;org.eclipse.cdt.core.GASErrorParser" id="com.crt.advproject.config.lib.release.1908658075" name="Release" parent="com.crt.advproject.config.lib.release" postannouncebuildStep="Performing post-build steps" postbuildStep="arm-none-eabi-size &quot;lib${BuildArtifactFileName}&quot; ; # arm-none-eabi-objdump -h -S &quot;lib${BuildArtifactFileName}&quot; &gt;&quot;${BuildArtifactFileBaseName}.lss&quot;">
					<folderInfo id="com.crt.advproject.config.lib.release.1908658075." name="/" resourcePath="">
						<toolChain id="com.crt.advproject.toolchain.lib.release.1647411288" name="NXP MCU Tools" superClass="com.crt.advproject.toolchain.lib.release">
							<targetPlatform binaryParser="org.eclipse.cdt.core.ELF;org.eclipse.cdt.core.GNU_ELF" id="com.crt.advproject.platform.lib.release.2134155247" name="ARM-based MCU (Debug)" superClass="com.crt.advproject.platform.lib.release"/>
							<builder buildPath="${workspace_loc:/Platform_FreeRTOSLib}/Release" id="com.crt.advproject.builder.lib.release.182473626" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" parallelBuildOn="true" parallelizationNumber="optimal" superClass="com.crt.advproject.builder.lib.release"/>
							<tool id="com.crt.advproject.cpp.lib.release.1125550021" name="MCU C++ Compiler" superClass="com.crt.advproject.cpp.lib.release">
								<option id="com.crt.advproject.cpp.arch.1427244178" name="Architecture" superClass="com.crt.advproject.cpp.arch" useByScannerDiscovery="true" value="com.crt.advproject.cpp.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.misc.dialect.2137947500" name="Language standard" superClass="com.crt.advproject.cpp.misc.dialect" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.dialect.flags.1916541190" name="Other dialect flags" superClass="gnu.cpp.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.cpp.compiler.option.preprocessor.nostdinc.1617861842" name="Do not search system directories (-nostdinc)" superClass="gnu.cpp.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.preprocess.1812899088" name="Preprocess only (-E)" superClass="gnu.cpp.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.def.2064010869" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.preprocessor.undef.665148267" name="Undefined symbols (-U)" superClass="gnu.cpp.compiler.option.preprocessor.undef" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.paths.1085185590" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.include.files.898299613" name="Include files (-include)" superClass="gnu.cpp.compiler.option.include.files" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.optimization.flags.1667638871" name="Other optimization flags" superClass="gnu.cpp.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common" valueType="string"/>
								<option id="gnu.cpp.compiler.option.debugging.other.1228991179" name="Other debugging flags" superClass="gnu.cpp.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.prof.1858222745" name="Generate prof information (-p)" superClass="gnu.cpp.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.gprof.1463469913" name="Generate gprof information (-pg)" superClass="gnu.cpp.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.debugging.codecov.2065831479" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.cpp.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.syntax.1807315534" name="Check syntax only (-fsyntax-only)" superClass="gnu.cpp.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.821441646" name="Pedantic (-pedantic)" superClass="gnu.cpp.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.pedantic.error.1463202524" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.cpp.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.nowarn.130494955" name="Inhibit all warnings (-w)" superClass="gnu.cpp.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.allwarn.1592914332" name="All warnings (-Wall)" superClass="gnu.cpp.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.extrawarn.1905066440" name="Extra warnings (-Wextra)" superClass="gnu.cpp.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.toerrors.1254662603" name="Warnings as errors (-Werror)" superClass="gnu.cpp.compiler.option.warnings.toerrors" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.warnings.wconversion.1886659682" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.cpp.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.other.441891050" name="Other flags" superClass="gnu.cpp.compiler.option.other.other" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.verbose.606443689" name="Verbose (-v)" superClass="gnu.cpp.compiler.option.other.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.cpp.compiler.option.other.pic.1931549534" name="Position Independent Code (-fPIC)" superClass="gnu.cpp.compiler.option.other.pic" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.1209801335" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.cpp.lto" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.lto.fat.398449044" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.cpp.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.merge.constants.1995589311" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.cpp.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.prefixmap.707590778" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.cpp.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.fpu.581525577" name="Floating point" superClass="com.crt.advproject.cpp.fpu" useByScannerDiscovery="true" value="com.crt.advproject.cpp.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.cpp.thumb.1555294662" name="Thumb mode" superClass="com.crt.advproject.cpp.thumb" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.thumbinterwork.266071653" name="Enable Thumb interworking" superClass="com.crt.advproject.cpp.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.securestate.1759780442" name="TrustZone Project Type" superClass="com.crt.advproject.cpp.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.hdrlib.478862905" name="Library headers" superClass="com.crt.advproject.cpp.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.stackusage.756747948" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.cpp.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.specs.41162556" name="Specs" superClass="com.crt.advproject.cpp.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.config.1054296430" name="Obsolete (Config)" superClass="com.crt.advproject.cpp.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.cpp.store.511967324" name="Obsolete (Store)" superClass="com.crt.advproject.cpp.store" useByScannerDiscovery="false"/>
							</tool>
							<tool id="com.crt.advproject.gcc.lib.release.924978818" name="MCU C Compiler" superClass="com.crt.advproject.gcc.lib.release">
								<option id="com.crt.advproject.gcc.thumb.848261625" name="Thumb mode" superClass="com.crt.advproject.gcc.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.arch.394087920" name="Architecture" superClass="com.crt.advproject.gcc.arch" useByScannerDiscovery="true" value="com.crt.advproject.gcc.target.cm7" valueType="enumerated"/>
								<option id="com.crt.advproject.c.misc.dialect.1073746990" name="Language standard" superClass="com.crt.advproject.c.misc.dialect" useByScannerDiscovery="true" value="com.crt.advproject.misc.dialect.gnu99" valueType="enumerated"/>
								<option id="gnu.c.compiler.option.dialect.flags.22632897" name="Other dialect flags" superClass="gnu.c.compiler.option.dialect.flags" useByScannerDiscovery="true"/>
								<option id="gnu.c.compiler.option.preprocessor.nostdinc.594727105" name="Do not search system directories (-nostdinc)" superClass="gnu.c.compiler.option.preprocessor.nostdinc" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.preprocessor.preprocess.91525153" name="Preprocess only (-E)" superClass="gnu.c.compiler.option.preprocessor.preprocess" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.preprocessor.def.symbols.1527020770" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062CVL5A"/>
									<listOptionValue builtIn="false" value="CPU_MIMXRT1062CVL5A_cm7"/>
									<listOptionValue builtIn="false" value="USE_RTOS=1"/>
									<listOptionValue builtIn="false" value="WITH_LWIP"/>
									<listOptionValue builtIn="false" value="_POSIX_SOURCE"/>
									<listOptionValue builtIn="false" value="SDK_DEBUGCONSOLE=0"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSFER_NON_BLOCKING"/>
									<listOptionValue builtIn="false" value="DEBUG_CONSOLE_TRANSMIT_BUFFER_LEN=1024"/>
									<listOptionValue builtIn="false" value="XIP_EXTERNAL_FLASH=1"/>
									<listOptionValue builtIn="false" value="XIP_BOOT_HEADER_ENABLE=1"/>
									<listOptionValue builtIn="false" value="SERIAL_PORT_TYPE_UART=1"/>
									<listOptionValue builtIn="false" value="FSL_RTOS_FREE_RTOS"/>
									<listOptionValue builtIn="false" value="CR_INTEGER_PRINTF"/>
									<listOptionValue builtIn="false" value="CR_PRINTF_CHAR"/>
									<listOptionValue builtIn="false" value="PRINTF_FLOAT_ENABLE=1"/>
									<listOptionValue builtIn="false" value="__MCUXPRESSO"/>
									<listOptionValue builtIn="false" value="__USE_CMSIS"/>
									<listOptionValue builtIn="false" value="ENET_ENHANCEDBUFFERDESCRIPTOR_MODE"/>
									<listOptionValue builtIn="false" value="NXPIMXRT1050"/>
									<listOptionValue builtIn="false" value="PTP_ENABLED=1"/>
									<listOptionValue builtIn="false" value="ETH_802_3_PTP_SUPPORT"/>
									<listOptionValue builtIn="false" value="DEBUG"/>
									<listOptionValue builtIn="false" value="__NEWLIB__"/>
								</option>
								<option id="gnu.c.compiler.option.preprocessor.undef.symbol.263027932" name="Undefined symbols (-U)" superClass="gnu.c.compiler.option.preprocessor.undef.symbol" useByScannerDiscovery="false"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.paths.1333348991" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/CMSIS}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/board-fake}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include/compat/posix}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/port}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lwip/src/include/lwip/prot}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/libcoap/include/coap2}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/portable/GCC/ARM_CM4F}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/amazon-freertos/freertos_kernel/portable/MemMang}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/serial_manager}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/uart}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/component/lists}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/utilities}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/device}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/drivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/cJSON/include}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/otherdrivers}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/ptpd/src}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/ptpd/src/dep}&quot;"/>
								</option>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="gnu.c.compiler.option.include.files.225822937" name="Include files (-include)" superClass="gnu.c.compiler.option.include.files" useByScannerDiscovery="false" valueType="includeFiles">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/include/typefix.h}&quot;"/>
								</option>
								<option id="gnu.c.compiler.option.optimization.flags.1926921369" name="Other optimization flags" superClass="gnu.c.compiler.option.optimization.flags" useByScannerDiscovery="false" value="-fno-common -fdata-sections -ffunction-sections" valueType="string"/>
								<option id="gnu.c.compiler.option.debugging.other.1830389768" name="Other debugging flags" superClass="gnu.c.compiler.option.debugging.other" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.prof.430676166" name="Generate prof information (-p)" superClass="gnu.c.compiler.option.debugging.prof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.gprof.1732093020" name="Generate gprof information (-pg)" superClass="gnu.c.compiler.option.debugging.gprof" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.debugging.codecov.6734441" name="Generate gcov information (-ftest-coverage -fprofile-arcs)" superClass="gnu.c.compiler.option.debugging.codecov" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.syntax.1564167412" name="Check syntax only (-fsyntax-only)" superClass="gnu.c.compiler.option.warnings.syntax" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.1783705715" name="Pedantic (-pedantic)" superClass="gnu.c.compiler.option.warnings.pedantic" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.pedantic.error.2053926788" name="Pedantic warnings as errors (-pedantic-errors)" superClass="gnu.c.compiler.option.warnings.pedantic.error" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.nowarn.1864215278" name="Inhibit all warnings (-w)" superClass="gnu.c.compiler.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.allwarn.472162655" name="All warnings (-Wall)" superClass="gnu.c.compiler.option.warnings.allwarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.extrawarn.1651419136" name="Extra warnings (-Wextra)" superClass="gnu.c.compiler.option.warnings.extrawarn" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.warnings.toerrors.1115755120" name="Warnings as errors (-Werror)" superClass="gnu.c.compiler.option.warnings.toerrors" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="gnu.c.compiler.option.warnings.wconversion.130603156" name="Implicit conversion warnings (-Wconversion)" superClass="gnu.c.compiler.option.warnings.wconversion" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.other.2060936716" name="Other flags" superClass="gnu.c.compiler.option.misc.other" useByScannerDiscovery="false" value="-c -ffunction-sections -fdata-sections -ffreestanding -fno-builtin" valueType="string"/>
								<option id="gnu.c.compiler.option.misc.verbose.362384408" name="Verbose (-v)" superClass="gnu.c.compiler.option.misc.verbose" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.ansi.521767404" name="Support ANSI programs (-ansi)" superClass="gnu.c.compiler.option.misc.ansi" useByScannerDiscovery="false"/>
								<option id="gnu.c.compiler.option.misc.pic.551902562" name="Position Independent Code (-fPIC)" superClass="gnu.c.compiler.option.misc.pic" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.1385682179" name="Enable Link-time optimization (-flto)" superClass="com.crt.advproject.gcc.lto" useByScannerDiscovery="false" value="false" valueType="boolean"/>
								<option id="com.crt.advproject.gcc.lto.fat.3517452" name="Fat lto objects (-ffat-lto-objects)" superClass="com.crt.advproject.gcc.lto.fat" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.merge.constants.1478882401" name="Merge Identical Constants (-fmerge-constants)" superClass="com.crt.advproject.gcc.merge.constants" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.prefixmap.1484169919" name="Remove path from __FILE__ (-fmacro-prefix-map)" superClass="com.crt.advproject.gcc.prefixmap" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.fpu.581769989" name="Floating point" superClass="com.crt.advproject.gcc.fpu" useByScannerDiscovery="true" value="com.crt.advproject.gcc.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.thumbinterwork.1254972299" name="Enable Thumb interworking" superClass="com.crt.advproject.gcc.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.securestate.818069751" name="TrustZone Project Type" superClass="com.crt.advproject.gcc.securestate" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.hdrlib.2099564238" name="Library headers" superClass="com.crt.advproject.gcc.hdrlib" useByScannerDiscovery="false" value="com.crt.advproject.gcc.hdrlib.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.stackusage.1378929831" name="Generate Stack Usage Info (-fstack-usage)" superClass="com.crt.advproject.gcc.stackusage" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.specs.1624299260" name="Specs" superClass="com.crt.advproject.gcc.specs" useByScannerDiscovery="false" value="com.crt.advproject.gcc.specs.newlib" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.config.953074900" name="Obsolete (Config)" superClass="com.crt.advproject.gcc.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.store.260308229" name="Obsolete (Store)" superClass="com.crt.advproject.gcc.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gcc.lib.release.option.optimization.level.1247894901" name="Optimization Level" superClass="com.crt.advproject.gcc.lib.release.option.optimization.level" useByScannerDiscovery="true" value="gnu.c.optimization.level.most" valueType="enumerated"/>
								<option id="com.crt.advproject.gcc.lib.release.option.debugging.level.1826624236" name="Debug Level" superClass="com.crt.advproject.gcc.lib.release.option.debugging.level" useByScannerDiscovery="false"/>
								<inputType id="com.crt.advproject.compiler.input.1412258929" superClass="com.crt.advproject.compiler.input"/>
							</tool>
							<tool id="com.crt.advproject.gas.lib.release.1174970136" name="MCU Assembler" superClass="com.crt.advproject.gas.lib.release">
								<option id="com.crt.advproject.gas.thumb.520937467" name="Thumb mode" superClass="com.crt.advproject.gas.thumb" useByScannerDiscovery="false" value="true" valueType="boolean"/>
								<option id="com.crt.advproject.gas.arch.1073102631" name="Architecture" superClass="com.crt.advproject.gas.arch" useByScannerDiscovery="false" value="com.crt.advproject.gas.target.cm7" valueType="enumerated"/>
								<option id="gnu.both.asm.option.flags.crt.778002903" name="Assembler flags" superClass="gnu.both.asm.option.flags.crt" useByScannerDiscovery="false" value="-c -x assembler-with-cpp -D__REDLIB__" valueType="string"/>
								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="gnu.both.asm.option.include.paths.1345703927" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" useByScannerDiscovery="false" valueType="includePath"/>
								<option id="gnu.both.asm.option.warnings.nowarn.1773046831" name="Suppress warnings (-W)" superClass="gnu.both.asm.option.warnings.nowarn" useByScannerDiscovery="false"/>
								<option id="gnu.both.asm.option.version.220693567" name="Announce version (-v)" superClass="gnu.both.asm.option.version" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.fpu.1751815698" name="Floating point" superClass="com.crt.advproject.gas.fpu" useByScannerDiscovery="false" value="com.crt.advproject.gas.fpu.fpv5sp.hard" valueType="enumerated"/>
								<option id="com.crt.advproject.gas.thumbinterwork.1739276247" name="Enable Thumb interworking" superClass="com.crt.advproject.gas.thumbinterwork" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.hdrlib.1225014293" name="Library headers" superClass="com.crt.advproject.gas.hdrlib" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.specs.1213605072" name="Specs" superClass="com.crt.advproject.gas.specs" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.config.1377378831" name="Obsolete (Config)" superClass="com.crt.advproject.gas.config" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.store.1004004907" name="Obsolete (Store)" superClass="com.crt.advproject.gas.store" useByScannerDiscovery="false"/>
								<option id="com.crt.advproject.gas.debug.899786568" name="Debug level" superClass="com.crt.advproject.gas.debug" useByScannerDiscovery="false"/>
								<inputType id="cdt.managedbuild.tool.gnu.assembler.input.452001064" superClass="cdt.managedbuild.tool.gnu.assembler.input"/>
								<inputType id="com.crt.advproject.assembler.input.978047214" name="Additional Assembly Source Files" superClass="com.crt.advproject.assembler.input"/>
							</tool>
							<tool id="com.crt.advproject.ar.lib.release.682175125" name="MCU Archiver" superClass="com.crt.advproject.ar.lib.release">
								<option id="gnu.both.lib.option.flags.162384231" name="Archiver flags" superClass="gnu.both.lib.option.flags" useByScannerDiscovery="false"/>
							</tool>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry flags="LOCAL|VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="CMSIS"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="amazon-freertos"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="board-fake"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="cJSON"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="component"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="device"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="drivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="include"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="libcoap"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="lwip"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="lwip-contrib"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="otherdrivers"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="ptpd"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="utilities"/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="xip"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="Platform_FreeRTOSLib.null.2066566275" name="Platform_FreeRTOSLib" projectType="com.crt.advproject.projecttype.lib"/>
	</storageModule>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.lib.debug.391025640;com.crt.advproject.config.lib.debug.391025640.;com.crt.advproject.gas.lib.debug.299512121;com.crt.advproject.assembler.input.878249687">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.lib.release.1908658075;com.crt.advproject.config.lib.release.1908658075.;com.crt.advproject.gcc.lib.release.924978818;com.crt.advproject.compiler.input.1412258929">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.lib.release.1908658075;com.crt.advproject.config.lib.release.1908658075.;com.crt.advproject.gas.lib.release.1174970136;com.crt.advproject.assembler.input.978047214">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.crt.advproject.config.lib.debug.391025640;com.crt.advproject.config.lib.debug.391025640.;com.crt.advproject.gcc.lib.debug.1507860900;com.crt.advproject.compiler.input.1833290087">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="com.nxp.mcuxpresso.core.datamodels">
		<sdkName>SDK_2.x_EVK-MIMXRT1060</sdkName>
		<sdkVersion>2.7.0</sdkVersion>
		<sdkComponents>device.MIMXRT1062_startup.MIMXRT1062;platform.Include_common.MIMXRT1062;platform.Include_core_cm7.MIMXRT1062;platform.Include_dsp.MIMXRT1062;device.MIMXRT1062_CMSIS.MIMXRT1062;</sdkComponents>
		<package>MIMXRT1062CVL5A</package>
		<core>cm7</core>
		<coreId>core0_MIMXRT1062xxxxA</coreId>
	</storageModule>
	<storageModule moduleId="com.crt.config">
		<projectStorage>&lt;?xml version="1.0" encoding="UTF-8"?&gt;&#13;
&lt;TargetConfig&gt;&#13;
&lt;Properties property_3="NXP" property_4="MIMXRT1062xxxxA" property_count="5" version="100300"/&gt;&#13;
&lt;infoList vendor="NXP"&gt;&#13;
&lt;info chip="MIMXRT1062xxxxA" name="MIMXRT1062xxxxA"&gt;&#13;
&lt;chip&gt;&#13;
&lt;name&gt;MIMXRT1062xxxxA&lt;/name&gt;&#13;
&lt;family&gt;MIMXRT1060&lt;/family&gt;&#13;
&lt;vendor&gt;NXP&lt;/vendor&gt;&#13;
&lt;memory can_program="true" id="Flash" is_ro="true" size="0" type="Flash"/&gt;&#13;
&lt;memory id="RAM" size="1024" type="RAM"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" id="SRAM_DTC" location="0x20000000" size="0x00020000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" id="SRAM_ITC" location="0x00000000" size="0x00020000"/&gt;&#13;
&lt;memoryInstance derived_from="RAM" id="SRAM_OC" location="0x20200000" size="0x000c0000"/&gt;&#13;
&lt;/chip&gt;&#13;
&lt;processor&gt;&#13;
&lt;name gcc_name="cortex-m7"&gt;Cortex-M7&lt;/name&gt;&#13;
&lt;family&gt;Cortex-M&lt;/family&gt;&#13;
&lt;/processor&gt;&#13;
&lt;/info&gt;&#13;
&lt;/infoList&gt;&#13;
&lt;/TargetConfig&gt;</projectStorage>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.make.core.buildtargets"/>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Multiple configurations">
			<resource resourceType="PROJECT" workspacePath="/FreeRTOSLib"/>
		</configuration>
		<configuration configurationName="Debug">
			<resource resourceType="PROJECT" workspacePath="/FreeRTOSLib"/>
		</configuration>
		<configuration configurationName="Release">
			<resource resourceType="PROJECT" workspacePath="/FreeRTOSLib"/>
		</configuration>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
</cproject>
